commit 8ed98bb4cad91c71f0a04c28428c1e4cd862d938
Author: Ian Barwick <ian@2ndquadrant.com>
Date:   Fri Aug 30 13:41:09 2019 +0900

    psql: add tab completion for \df slash commands
    
    "\df" itself was listed for tab completion, but none of the
    possible suffixes were.

diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
index b657ab7b8d..784e2a6bad 100644
--- a/src/bin/psql/tab-complete.c
+++ b/src/bin/psql/tab-complete.c
@@ -913,7 +913,8 @@ psql_completion(const char *text, int start, int end)
 	static const char *const backslash_commands[] = {
 		"\\a", "\\connect", "\\conninfo", "\\C", "\\cd", "\\copy", "\\copyright",
 		"\\d", "\\da", "\\db", "\\dc", "\\dC", "\\dd", "\\ddp", "\\dD",
-		"\\des", "\\det", "\\deu", "\\dew", "\\dE", "\\df",
+		"\\des", "\\det", "\\deu", "\\dew", "\\dE",
+		"\\df", "\\dfa", "\\dfn", "\\dfp", "\\dft", "\\dfw",
 		"\\dF", "\\dFd", "\\dFp", "\\dFt", "\\dg", "\\di", "\\dl", "\\dL",
 		"\\dm", "\\dn", "\\do", "\\dO", "\\dp", "\\drds", "\\ds", "\\dS",
 		"\\dt", "\\dT", "\\dv", "\\du", "\\dx", "\\dy",
